## hilive 0.0+20150926

=== CMakeLists.txt ===
# Header
cmake_minimum_required (VERSION 2.8)
project (HiLive)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -g -pthread -W -Wall -std=gnu++11 -O2")

# Set the k-mer length
set (HiLive_K 15 CACHE INT "Set the k-mer length for index and mapper")

# Set the version number 
set (HiLive_VERSION_MAJOR 0)
set (HiLive_VERSION_MINOR 1)

configure_file (
  "${PROJECT_SOURCE_DIR}/lib/config.h.in"
  "${PROJECT_BINARY_DIR}/config.h"  )

# add the binary tree to the search path for include files
include_directories("${PROJECT_BINARY_DIR}")



include_directories(lib)

set(LIBS tools
         alnblock
         alnread
	 alnstream
	 illumina_parsers
	 kindex
	 parallel)

set(LIB_FILES "")
foreach (lib ${LIBS})
    list(APPEND LIB_FILES "lib/${lib}.cpp")
endforeach()
add_library(hilivelib ${LIB_FILES})

set(Boost_USE_STATIC_LIBS ON) 
set(Boost_USE_MULTITHREADED ON)  
set(Boost_USE_STATIC_RUNTIME ON) 
FIND_PACKAGE( Boost COMPONENTS system filesystem program_options REQUIRED )
INCLUDE_DIRECTORIES( ${Boost_INCLUDE_DIR} )

find_package( ZLIB REQUIRED )

# manually set the path for lz4 library
set (LZ4_PATH /usr/local/lib CACHE PATH "Manually set the path to the lz4 library")
LINK_DIRECTORIES(${LZ4_PATH})


# create the executables
add_executable(hilive tools/hilive.cpp )
target_link_libraries(hilive hilivelib ${ZLIB_LIBRARIES} ${Boost_LIBRARIES} lz4)

add_executable(hilive-build tools/build_index.cpp )
target_link_libraries(hilive-build hilivelib ${ZLIB_LIBRARIES} ${Boost_LIBRARIES} lz4)

=== debian/changelog ===
hilive (0.0+20150926-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Fri, 12 Aug 2016 20:54:18 +0200

hilive (0.0+20150926-1) unstable; urgency=medium

  * Initial release (Closes: #832950)

 -- Andreas Tille <tille@debian.org>  Sat, 30 Jul 2016 21:42:48 +0200

=== debian/control ===
Source: hilive
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libboost-system-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               zlib1g-dev,
               liblz4-dev,
               chrpath
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/hilive.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/hilive.git
Homepage: https://sourceforge.net/projects/hilive/

Package: hilive
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: realtime alignment of Illumina reads
 HiLive is a read mapping tool that maps Illumina HiSeq (or comparable)
 reads to a reference genome right in the moment when they are produced.
 This means, read mapping is finished as soon as the sequencer is
 finished generating the data.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')

%:
	dh $@

override_dh_install:
	chrpath --delete obj-$(DEB_BUILD_GNU_TYPE)/hilive*
	dh_install

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/biobenkj/SPARTA_Linux/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## hilive 0.3

=== CMakeLists.txt ===
##############
### Header ###

cmake_minimum_required (VERSION 2.8)
project (HiLive)

# Set the version number 
set (HiLive_VERSION_MAJOR 0)
set (HiLive_VERSION_MINOR 3)

# Set the k-mer length
set (HiLive_K 15 CACHE INT "Set the k-mer length for index and mapper")

# Set flags for compilation
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -g -pthread -W -Wall -std=gnu++11 -O0")


# configure a header file to pass some of the CMake settings to the source code
configure_file (
  "${PROJECT_SOURCE_DIR}/lib/config.h.in"
  "${PROJECT_BINARY_DIR}/config.h"  )

# add the binary tree to the search path for include files
include_directories("${PROJECT_BINARY_DIR}")



#############################
### setup seqan libraries ###

set (CMAKE_MODULE_PATH "/home/schulzeja/masterthesis/tools/seqan-src/util/cmake") # adjust this to [pathToSeqanCode]/util/cmake
set (SEQAN_INCLUDE_PATH "/home/schulzeja/masterthesis/tools/seqan-src/include/") # adjust this to [pathToSeqanCode]/include

# Configure SeqAn, enabling features for libbz2 and zlib.
#set (SEQAN_FIND_DEPENDENCIES ZLIB BZip2) # original version from seqan tutorial
set (SEQAN_FIND_DEPENDENCIES BZip2)
find_package (SeqAn REQUIRED)

# Add include directories, defines, and flags for SeqAn (and its dependencies).
include_directories (${SEQAN_INCLUDE_DIRS})
add_definitions (${SEQAN_DEFINITIONS})
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SEQAN_CXX_FLAGS}")



#############################
### setup Boost libraries ###

set(Boost_USE_STATIC_LIBS ON) 
set(Boost_USE_MULTITHREADED ON)  
set(Boost_USE_STATIC_RUNTIME ON) 
find_package( Boost COMPONENTS system filesystem program_options REQUIRED )
include_directories( ${Boost_INCLUDE_DIR} )



############################
### setup Zlib and lz4 libraries ###

find_package( ZLIB REQUIRED )
set (LZ4_PATH /usr/local/lib) # possibly adjust this to [pathToLz4]/lib if using downloaded lz4 source code
include_directories(${LZ4_PATH})
link_directories(${LZ4_PATH})
set(CompressionLibs "${ZLIB_LIBRARIES};lz4")


#############################################
### download & build the Samtools library ###
file(DOWNLOAD "https://sourceforge.net/projects/samtools/files/samtools/1.2/samtools-1.2.tar.bz2/download" ${CMAKE_CURRENT_BINARY_DIR}/samtools-1.2.tar.bz2)
execute_process(COMMAND tar xjf ${CMAKE_CURRENT_BINARY_DIR}/samtools-1.2.tar.bz2 )
execute_process(COMMAND make -s -C samtools-1.2 )
include_directories( ${CMAKE_CURRENT_BINARY_DIR}/samtools-1.2 )
include_directories( ${CMAKE_CURRENT_BINARY_DIR}/samtools-1.2/htslib-1.2.1 )
link_directories( ${CMAKE_CURRENT_BINARY_DIR}/samtools-1.2 ${CMAKE_CURRENT_BINARY_DIR}/samtools-1.2/htslib-1.2.1 )


##############################
### setup HiLive libraries ###
include_directories("${PROJECT_SOURCE_DIR}/lib")
# make a list of HiLive libraries
set (LIB_NAMES tools alnread alnstream illumina_parsers kindex parallel argument_parser)
set(LIB_LIST "")
foreach (x ${LIB_NAMES})
	list(APPEND LIB_LIST "lib/${x}.cpp")
endforeach()
add_library(HiLiveLibs ${LIB_LIST})


#############################
### Build the executables ###

add_executable (hilive tools/hilive.cpp)
target_link_libraries (hilive HiLiveLibs ${CompressionLibs} ${Boost_LIBRARIES} ${SEQAN_LIBRARIES} hts)

add_executable(hilive-build tools/build_index.cpp )
target_link_libraries(hilive-build HiLiveLibs ${CompressionLibs} ${Boost_LIBRARIES} ${SEQAN_LIBRARIES})


#####################
### for debugging ###

#get_cmake_property(_variableNames VARIABLES)
#foreach (_variableName ${_variableNames})
	#message(STATUS "${_variableName}=${${_variableName}}")
#endforeach()

=== debian/changelog ===
hilive (0.3-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 06 Jun 2017 16:14:57 +0200

hilive (0.3-2) unstable; urgency=medium

  * Adapt path to seqan cmake files
    Closes: #852850

 -- Andreas Tille <tille@debian.org>  Sat, 28 Jan 2017 07:18:15 +0100

hilive (0.3-1) unstable; urgency=medium

  [Andreas Tille]
  * New upstream location with proper tagging, Closes: #833392
  * debhelper 10

  [Gert Wollny] 
  * d/control: Add libseqan2-dev  and libhts-dev as build dependency 
  * d/patches/use_...: correct path to cmake modules for FindSeQan
    an remove forced CXXFLAGS 

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2016 09:15:22 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake,
                libboost-system-dev,
                libboost-filesystem-dev,
                libboost-program-options-dev,
+	       libhts-dev, 
+	       libseqan2-dev,
                zlib1g-dev,
                liblz4-dev,
                chrpath

=== debian/watch ===
version=4

opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S*)/HiLive-$1\.tar\.gz/g \
  https://gitlab.com/SimonHTausch/HiLive/tags .*archive\.tar\.gz\?ref=v?(\d\S*)

## hilive 1.0

=== CMakeLists.txt ===
##############
### Header ###

cmake_minimum_required (VERSION 2.8)
project (HiLive)

# Set the version number 
add_definitions(-DHiLive_VERSION_MAJOR=1)
add_definitions(-DHiLive_VERSION_MINOR=0)

# Set flags for compilation
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -g -pthread -W -Wall -std=gnu++14 -O0")

# add the binary tree to the search path for include files
include_directories("${PROJECT_BINARY_DIR}")


#############################
### setup Boost libraries ###

set(Boost_USE_STATIC_LIBS ON) 
set(Boost_USE_MULTITHREADED ON)  
set(Boost_USE_STATIC_RUNTIME ON) 
find_package( Boost COMPONENTS system filesystem program_options REQUIRED )
include_directories( ${Boost_INCLUDE_DIR} )


############################
### setup Zlib and lz4 libraries ###

find_package( ZLIB REQUIRED )
#set (LZ4_PATH /usr/local/lib) 		# possibly adjust this to [pathToLz4]/lib if using downloaded lz4 source code
include_directories(${LZ4_PATH})
link_directories(${LZ4_PATH})
set(CompressionLibs "${ZLIB_LIBRARIES};lz4")


#############################
### setup seqan libraries ### needs to be done AFTER searching for Zlib

set (CMAKE_MODULE_PATH "/usr/local/lib/seqan/util/cmake") # adjust this to [pathToSeqanCode]/util/cmake
set (SEQAN_INCLUDE_PATH "/usr/local/lib/seqan/include/") # adjust this to [pathToSeqanCode]/include

# Configure SeqAn, enabling features for libbz2 and zlib.
#set (SEQAN_FIND_DEPENDENCIES ZLIB BZip2) # original version from seqan tutorial
set (SEQAN_FIND_DEPENDENCIES BZip2)
find_package (SeqAn REQUIRED)

# Add include directories, defines, and flags for SeqAn (and its dependencies).
include_directories (${SEQAN_INCLUDE_DIRS})
add_definitions (${SEQAN_DEFINITIONS})
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SEQAN_CXX_FLAGS}")


##############################
### setup HiLive libraries ###
include_directories("${PROJECT_SOURCE_DIR}/lib")
# make a list of HiLive libraries
set (LIB_NAMES tools_static tools alnread alnstream illumina_parsers kindex parallel argument_parser)
set(LIB_LIST "")
foreach (x ${LIB_NAMES})
	list(APPEND LIB_LIST "lib/${x}.cpp")
endforeach()
add_library(HiLiveLibs ${LIB_LIST})


#############################
### Build the executables ###

add_executable (hilive tools/hilive.cpp)
target_link_libraries (hilive HiLiveLibs ${CompressionLibs} ${Boost_LIBRARIES} ${SEQAN_LIBRARIES})

add_executable(hilive-build tools/build_index.cpp )
target_link_libraries(hilive-build HiLiveLibs ${CompressionLibs} ${Boost_LIBRARIES} ${SEQAN_LIBRARIES})

add_executable(hilive-out tools/hilive_out.cpp )
target_link_libraries(hilive-out HiLiveLibs ${CompressionLibs} ${Boost_LIBRARIES} ${SEQAN_LIBRARIES})


#####################
### for debugging ###

#get_cmake_property(_variableNames VARIABLES)
#foreach (_variableName ${_variableNames})
	#message(STATUS "${_variableName}=${${_variableName}}")
#endforeach()

=== debian/changelog ===
hilive (1.0-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream: created metadata file.

  [ Andreas Tille ]
  * New upstream version
  * Fix watch file
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Tue, 22 Aug 2017 20:57:18 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                libboost-system-dev,
                libboost-filesystem-dev,
                libboost-program-options-dev,
-	       libhts-dev, 
-	       libseqan2-dev,
+               libhts-dev,
+               libseqan2-dev,
                zlib1g-dev,
                liblz4-dev,
                chrpath
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/hilive.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/hilive.git
 Homepage: https://sourceforge.net/projects/hilive/

## hilive 1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 # Set the version number 
 add_definitions(-DHiLive_VERSION_MAJOR=1)
-add_definitions(-DHiLive_VERSION_MINOR=0)
+add_definitions(-DHiLive_VERSION_MINOR=1)
 
 # Set flags for compilation
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -g -pthread -W -Wall -std=gnu++14 -O0")

=== debian/changelog ===
hilive (1.1-2) unstable; urgency=medium

  * Fix Homepage
  * Delete debian/get-orig-source since project moved from SF to Gitlab
  * Drop redundant debian/gbp.conf
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 13:28:52 +0100

hilive (1.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Sat, 10 Feb 2018 19:52:36 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake,
                libboost-system-dev,
                libboost-filesystem-dev,
@@ -13,10 +13,10 @@
                zlib1g-dev,
                liblz4-dev,
                chrpath
-Standards-Version: 4.0.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/hilive.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/hilive.git
-Homepage: https://sourceforge.net/projects/hilive/
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/hilive
+Vcs-Git: https://salsa.debian.org/med-team/hilive.git
+Homepage: https://gitlab.com/SimonHTausch/HiLive
 
 Package: hilive
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_install:
	chrpath --delete obj-$(DEB_BUILD_GNU_TYPE)/hilive*
	dh_install

=== debian/watch ===
version=4

opts="filenamemangle=s/@ANY_VERSION@\/.*\.tar\.gz/HiLive-$1\.tar\.gz/g,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://gitlab.com/SimonHTausch/HiLive/tags?sort=updated_desc .*/repository/v@ANY_VERSION@/archive\.tar\.gz

## hilive 2.0a

=== CMakeLists.txt ===
##############
### Header ###
##############

cmake_minimum_required( VERSION 3.10 FATAL_ERROR )
project( HiLive VERSION 2.0 LANGUAGES CXX )

###################
### Build Setup ###
###################

# Set CXX Standard
set( CMAKE_CXX_STANDARD 14 )
set( CMAKE_CXX_SANDARD_REQUIRED ON )
set( CMAKE_CXX_EXTENSIONS OFF )

# Set runtime output directory
set( CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR} )

# Error on unsupported compiler
if( NOT CMAKE_CXX_COMPILER_ID MATCHES "Clang|GNU" )
    message( FATAL_ERROR
        "Compiler id '${CMAKE_CXX_COMPILER_ID}' is not supported, please \
        check the documentation." )
endif()

# Compiling options
option( VERBOSE_CONFIG "Verbose mode for quick build setup debugging." OFF )
option( CONDA "Flag for compilation in conda env." OFF )
option( LZ4_PATH "Path to manually installed LZ4 library." "")
option( SEQAN_PATH "Path to manually installed SeqAn library." "")
option( BOOST_PATH "Path to manually installed Boost library." "")
option( STRICT_WARN "Flag for strict warnings." OFF )

# Set HiLive2 compile-time variables 
add_definitions(-DHiLive_VERSION_MAJOR=2)
add_definitions(-DHiLive_VERSION_MINOR=0)

###################
### Build types ###
###################

# Release flags
set (CMAKE_CXX_FLAGS_RELEASE "-O3 -DNDEBUG" )

# Warning flags
if ( STRICT_WARN )
	add_compile_options( -Wall -Wextra -Wshadow -Wuninitialized -Wnon-virtual-dtor
		-Wold-style-cast -Wcast-align -Wunused -Woverloaded-virtual -Wpedantic
		-Wconversion -Wsign-conversion -Wdouble-promotion
		-Wformat=2 -Wstrict-aliasing -Wno-long-long -Wno-variadic-macros )
endif()

# SeqAn specific flags
if ( NOT CONDA )
	add_compile_options( -static -march=native )
endif()

# Set flags for compilation
# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -g -pthread -W -Wall -std=gnu++14 -O0")

# add the binary tree to the search path for include files
include_directories("${PROJECT_BINARY_DIR}")


############################################
### Dependencies and 3rd party libraries ###
############################################

# BOOST
if ( BOOST_PATH )
	set( Boost_NO_BOOST_CMAKE TRUE )
	set( Boost_NO_SYSTEM_PATHS TRUE )
	set( BOOST_ROOT "${BOOST_PATH}" )
	set( Boost_LIBRARY_DIRS "${BOOST_PATH}/lib" ) 
endif()
set(Boost_USE_STATIC_LIBS ON) 
set(Boost_USE_MULTITHREADED ON)  
set(Boost_USE_STATIC_RUNTIME ON) 
find_package( Boost COMPONENTS system filesystem program_options iostreams REQUIRED )
include_directories( ${Boost_INCLUDE_DIR} )

# ZLIB
find_package( ZLIB REQUIRED )

# LZ4
if ( LZ4_PATH )
	set( LZ4_LIB "${LZ4_PATH}/lib" )
endif()

include_directories(${LZ4_LIB})
link_directories(${LZ4_LIB})
set(CompressionLibs "${ZLIB_LIBRARIES};lz4")

# SEQAN
if ( SEQAN_PATH )
	set (CMAKE_MODULE_PATH "${SEQAN_PATH}/util/cmake") 
	set (SEQAN_INCLUDE_PATH "${SEQAN_PATH}/include/") 
endif()

find_package (SeqAn REQUIRED)

# Add include directories, defines, and flags for SeqAn (and its dependencies).
add_library( SeqAn INTERFACE )
include_directories (${SEQAN_INCLUDE_DIRS})
add_compile_options( ${SEQAN_DEFINITIONS} )
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SEQAN_CXX_FLAGS}")


##############################
### setup HiLive libraries ###
##############################

include_directories("${PROJECT_SOURCE_DIR}/lib")

# make a list of HiLive libraries
set (LIB_NAMES tools_static tools alnread alnstream alnout illumina_parsers kindex parallel argument_parser)
set(LIB_LIST "")
foreach (x ${LIB_NAMES})
	list(APPEND LIB_LIST "lib/${x}.cpp")
endforeach()
add_library(HiLiveLibs ${LIB_LIST})

#############################
### Build the executables ###

add_executable (hilive tools/hilive.cpp)
target_link_libraries (hilive HiLiveLibs ${CompressionLibs} ${Boost_LIBRARIES} ${SEQAN_LIBRARIES})

add_executable(hilive-build tools/build_index.cpp )
target_link_libraries(hilive-build HiLiveLibs ${CompressionLibs} ${Boost_LIBRARIES} ${SEQAN_LIBRARIES})

add_executable(hilive-out tools/hilive_out.cpp )
target_link_libraries(hilive-out HiLiveLibs ${CompressionLibs} ${Boost_LIBRARIES} ${SEQAN_LIBRARIES})

=== debian/changelog ===
hilive (2.0a-4build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:12:57 +0200

hilive (2.0a-4build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:02:32 +0200

hilive (2.0a-4) unstable; urgency=medium

  * Team upload
  * Build-depend on discount instead of markdown (Closes: #1073095)
  * Fix debian/watch
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Charles Plessy <plessy@debian.org>  Fri, 14 Jun 2024 08:36:14 +0900

hilive (2.0a-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Really install documentation

  [ Juhani Numminen ]
  * Remove undesired build flag -march=native

  [ Andreas Tille ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jan 2020 11:56:44 +0100

hilive (2.0a-2) unstable; urgency=medium

  * Install tutorial
  * Provide simple autopkgtest
  * Install documentation

 -- Andreas Tille <tille@debian.org>  Mon, 07 Oct 2019 15:47:28 +0200

hilive (2.0a-1) unstable; urgency=medium

  * New upstream version
  * New URL on Github
  * Fix watch file
  * Standards-Version: 4.4.1
  * Build-Depends: libboost-iostreams-dev

 -- Andreas Tille <tille@debian.org>  Mon, 07 Oct 2019 13:48:50 +0200

hilive (1.1-3) unstable; urgency=medium

  * Fix watch file
  * Fix build with gcc9
    Closes: #925714
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Sat, 17 Aug 2019 20:50:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,23 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libboost-system-dev,
                libboost-filesystem-dev,
+               libboost-iostreams-dev,
                libboost-program-options-dev,
                libhts-dev,
                libseqan2-dev,
                zlib1g-dev,
                liblz4-dev,
-               chrpath
-Standards-Version: 4.3.0
+               chrpath,
+               discount
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/hilive
 Vcs-Git: https://salsa.debian.org/med-team/hilive.git
-Homepage: https://gitlab.com/SimonHTausch/HiLive
+Homepage: https://gitlab.com/rki_bioinformatics/HiLive2
+Rules-Requires-Root: no
 
 Package: hilive
 Architecture: any

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/rki_bioinformatics/HiLive2/tags?sort=updated_desc -/archive/v?\d[\d.a-z]+/HiLive2-@ANY_VERSION@@ARCHIVE_EXT@
